#2257 closed defect (fixed)

or1k issue with setjmp.h

Reported by: Joel Sherrill Owned by:
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Notice this is on the no delay variant. Maybe that has impact on the ifdef.

or1k-rtems4.11-gcc --pipe -mno-delay --pipe -DHAVE_CONFIG_H -I.. -I../../../lib/include -I../../../../../rtems/cpukit/libmisc/shell -g -O2 -Wall -Wimplicit-function-declaration -Wstrict-prototypes -Wnested-externs -mno-delay -MT shell/libshell_a-cmp-ls.o -MD -MP -MF shell/.deps/libshell_a-cmp-ls.Tpo -c -o shell/libshell_a-cmp-ls.o test -f 'shell/cmp-ls.c' || echo '../../../../../rtems/cpukit/libmisc/'shell/cmp-ls.c
In file included from /users/joel/rtems-4.11-work/tools/or1k-rtems4.11/include/setjmp.h:10:0,

from ../../../../../rtems/cpukit/libmisc/shell/extern-ls.h:43,
from ../../../../../rtems/cpukit/libmisc/shell/cmp-ls.c:56:

/users/joel/rtems-4.11-work/tools/or1k-rtems4.11/include/machine/setjmp.h:356:24: error: '_JBLEN' undeclared here (not in a function)

typedef int sigjmp_buf[_JBLEN+1+(sizeof (sigset_t)/sizeof (int))];


In file included from /users/joel/rtems-4.11-work/tools/or1k-rtems4.11/include/sys/types.h:20:0,

from ../../../../../rtems/cpukit/libmisc/shell/cmp-ls.c:50:

/users/joel/rtems-4.11-work/tools/or1k-rtems4.11/include/setjmp.h:15:6: error: unknown type name 'jmp_buf'

void _EXFUN(longjmp,(jmp_buf jmpb, int retval))


/users/joel/rtems-4.11-work/tools/or1k-rtems4.11/include/setjmp.h:20:5: error: unknown type name 'jmp_buf'

int _EXFUN(setjmp,(jmp_buf jmpb));


In file included from ../../../../../rtems/cpukit/libmisc/shell/cmp-ls.c:56:0:
../../../../../rtems/cpukit/libmisc/shell/extern-ls.h:85:3: error: unknown type name 'jmp_buf'

Change History (3)

comment:1 Changed on Mar 3, 2015 at 5:59:00 PM by Joel Sherrill

Post a patch to newlib and I will try to be sure to see it and commit it.

The patch is to setjmp.h in the ifdef sections

comment:2 Changed on Mar 4, 2015 at 9:43:13 PM by Gedare Bloom

Resolution: fixed
Status: newclosed

This has been fixed in Newlib since 12/12/2014.

comment:3 Changed on Mar 5, 2015 at 2:37:10 PM by Hesham ALMatary <heshamelmatary@…>

In ee85d9cfb62d2cb914f54a24a74a8091c4751490/rtems-source-builder:

RSB: Fetch recent version of newlib that solves or1knd build failure.

Updates #2257.

Note: See TracTickets for help on using tickets.